ABS(3)

NAME
abs - integer absolute value

SYNOPSIS
abs(i)
int i;

DESCRIPTION

abs() returns the absolute value of its integer operand.

SEE ALSO
ieee_functions(3M) for fabs()

BUGS

Applying the abs() function to the most negative integer generates a result which is the most negative integer. That is, abs(0x80000000) returns 0x80000000 as a result.